de.katho.kBorrow.gui

## Class MyFocusTraversalPolicy

- java.lang.Object
- - java.awt.FocusTraversalPolicy
  - - de.katho.kBorrow.gui.MyFocusTraversalPolicy

    public class MyFocusTraversalPolicy
    extends java.awt.FocusTraversalPolicy

Definiert, nach welchem Prinzip der Cursor in einem Formular wandert.

### Field Summary

Fields
`private java.util.Vector<java.awt.Component>` `order` Reihenfolge der Formularkomponenten

### Constructor Summary

Constructors
Constructor and Description
`MyFocusTraversalPolicy(java.util.Vector<java.awt.Component> pOrder)` Gibt ein neues MyFocusTraversalPolicy-Objekt zurück.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.awt.Component` `getComponentAfter(java.awt.Container aContainer, java.awt.Component aComponent)` Gibt die nächste Komponente nach der übergebenen Komponente oder die erste Komponente in der Reihenfolge zurück.
`java.awt.Component` `getComponentBefore(java.awt.Container aContainer, java.awt.Component aComponent)` Gibt die Swing-Component vor der übergebenen Komponente oder die erste in der Reihenfolge zurück.
`java.awt.Component` `getDefaultComponent(java.awt.Container aContainer)` Gibt das Standardelement der Reihenfolge zurück.
`java.awt.Component` `getFirstComponent(java.awt.Container aContainer)` Gibt die erste Component der Reihenfolge zurück.
`java.awt.Component` `getLastComponent(java.awt.Container aContainer)` Gibt die letzte Swing-Component in der Reihenfolge zurück.

### Methods inherited from class java.awt.FocusTraversalPolicy

`getInitialComponent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### order

    private java.util.Vector<java.awt.Component> order

Reihenfolge der Formularkomponenten

### Constructor Detail

#### MyFocusTraversalPolicy

    public MyFocusTraversalPolicy(java.util.Vector<java.awt.Component> pOrder)

Gibt ein neues MyFocusTraversalPolicy-Objekt zurück.

Parameters:
  `pOrder` - Vector mit der Reihenfolge der Formularkomponenten.

### Method Detail

#### getComponentAfter

    public java.awt.Component getComponentAfter(java.awt.Container aContainer,
                                                java.awt.Component aComponent)

Gibt die nächste Komponente nach der übergebenen Komponente oder die erste Komponente in der Reihenfolge zurück.

Specified by:
  `getComponentAfter` in class `java.awt.FocusTraversalPolicy`
Parameters:
  `aContainer` - Swing-Container ohne Funktion
  `aComponent` - Swing-Component, dessen Nachfolger in der Reihenfolge zurückgegeben werden soll.
Returns:
  Swing-Component

#### getComponentBefore

    public java.awt.Component getComponentBefore(java.awt.Container aContainer,
                                                 java.awt.Component aComponent)

Gibt die Swing-Component vor der übergebenen Komponente oder die erste in der Reihenfolge zurück.

Specified by:
  `getComponentBefore` in class `java.awt.FocusTraversalPolicy`
Parameters:
  `aContainer` - Swing-Container ohne Funktion.
  `aComponent` - Swing-Component, dessen Vorgänger in der Reihenfolge zurückgegeben werden soll.
Returns:
  Swing-Component.

#### getDefaultComponent

    public java.awt.Component getDefaultComponent(java.awt.Container aContainer)

Gibt das Standardelement der Reihenfolge zurück.

Specified by:
  `getDefaultComponent` in class `java.awt.FocusTraversalPolicy`
Parameters:
  `aContainer` - Swing-Container ohne Funktion.
Returns:
  Standard-Swing-Component in der Reihenfolge.

#### getFirstComponent

    public java.awt.Component getFirstComponent(java.awt.Container aContainer)

Gibt die erste Component der Reihenfolge zurück.

Specified by:
  `getFirstComponent` in class `java.awt.FocusTraversalPolicy`
Parameters:
  `aContainer` - Swing-Container ohne Funktion.
Returns:
  Erste Swing-Component in der Reihenfolge.

#### getLastComponent

    public java.awt.Component getLastComponent(java.awt.Container aContainer)

Gibt die letzte Swing-Component in der Reihenfolge zurück.

Specified by:
  `getLastComponent` in class `java.awt.FocusTraversalPolicy`
Parameters:
  `aContainer` - Swing-Container ohne Funktion.
Returns:
  Letzte Swing-Componentn in der Reihenfolge.